%define upstream_name    MealMaster
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Represent a MealMaster ingredient
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
People like to share food recipes on the internet. MealMaster is a popular
program for collating recipes. The the MealMaster manpage module parses the
MealMaster recipe export format, providing you with recipe objects. You can
recognize these MealMaster format files as they generally start with
"Recipe via Meal-Master".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.280.0-10.mga9
+ Revision: 1804466
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.280.0-9.mga8
+ Revision: 1495590
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.280.0-8.mga7
+ Revision: 1269247
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-7.mga6
+ Revision: 1029874
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.280.0-6.mga6
+ Revision: 932404
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-5.mga5
+ Revision: 745025
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 685389
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 512935
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 369688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.280.0-1.mga3
+ Revision: 308777
- imported package perl-MealMaster


* Sun Oct 21 2012 cpan2dist 0.28-1mga
- initial mageia release, generated with cpan2dist
